%define		pkgname plesk-backup
Name:		ix-pleskbackup
Summary:	InterNetX GmbH Plesk Backup Script
Version: 0.0.rev1133
Release: 3.1
Url:		http://www.internetx.de
License:	GPLv2
Group:		System Environment
Source0:	%{pkgname}-%{version}.tar
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?sl_version} || 0%{?redhat_version}
Requires:	vixie-cron
BuildRequires:	vixie-cron
%endif

%if 0%{?suse_version}
Requires:	cron
BuildRequires:	cron
Suggests:	psa-backup-manager
%endif

BuildArch:	noarch

%description
ix-pleskbackup saves daily disaster/full backup to InterNetX GmbH FTP Backup space.

%prep
%setup -n %{pkgname}-%{version}

%build

%install
%__install -D -m755 plesk_backup_cron.sh %{buildroot}%{_sbindir}/plesk_backup_cron.sh
%__install -D -m644 pleskbackup.cron %{buildroot}%{_sysconfdir}/cron.d/pleskbackup
%__install -D -m644 ix-pleskbackup.conf %{buildroot}%{_sysconfdir}/ix-pleskbackup.conf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/plesk_backup_cron.sh
%{_sysconfdir}/cron.d/pleskbackup
%config(noreplace) %{_sysconfdir}/ix-pleskbackup.conf

%changelog
* Wed Sep  7 2011 cs@linux-administrator.com
- initial package build
